Skip to main content
GET
List Agents in Account

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the account

Response

Success

id
integer

The agent's numeric ID.

account_id
integer

The account the agent belongs to.

availability_status
enum<string>

The availability status of the agent computed by Tied.

Available options:
available,
busy,
offline
auto_offline
boolean

Whether the availability status of agent is configured to go offline automatically when away.

confirmed
boolean

Whether the agent has confirmed their email address.

email
string

The email of the agent

available_name
string

The available name of the agent

name
string

The name of the agent

role
enum<string>

The role of the agent

Available options:
agent,
administrator
thumbnail
string

The thumbnail of the agent

custom_role_id
integer | null

The custom role id of the agent

provider
string

How the agent signs in — email for a password login.

avatar_url
string

URL of an uploaded avatar. Empty when the agent has not uploaded one.

illustration_avatar
boolean

Whether thumbnail is one of the generated illustration avatars rather than an upload.

accent_color
string | null

The agent's chosen dashboard accent colour.